"use strict";

module.exports = function withoutKeys(object, keys) {
	let omitKeys = new Set(keys);
	let newObject = {};

	// TODO: Include Symbol keys as well?
	for (let key of Object.keys(object)) {
		if (!omitKeys.has(key)) {
			newObject[key] = object[key];
		}
	}

	return newObject;
};
